AccountingSystemDBManager (consumer-service 1.9.2-3.5.0 API)
Date: 2014-11-12

org.gcube.messaging.common.consumer.db

## Class AccountingSystemDBManager

- java.lang.Object
- - org.gcube.messaging.common.consumer.db.DBManager
  - - org.gcube.messaging.common.consumer.db.AccountingSystemDBManager

- All Implemented Interfaces:
    Runnable

      public class AccountingSystemDBManager
      extends DBManager
      implements Runnable

  Author:
    Andrea Manzi (CERN)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.gcube.messaging.common.consumer.db.DBManager

      `DBManager.BaseConsumer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `DATE_FORMAT`
    `protected static SimpleDateFormat` | `format`

    - ### Fields inherited from class org.gcube.messaging.common.consumer.db.DBManager

      `backupFolder, backupIntervalMS, connection, dbFileBaseFolder, dbFileName, dbName, password, poolManager, queriesFile, username`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccountingSystemDBManager()` Default constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `connectToMySql()`
    `void` | `open()` Load the HSQL Database Engine JDBC driver and open the connection to the db.
    `void` | `run()` (non-Javadoc)
    `void` | `storeSystemAccoutingInfo(org.gcube.messaging.common.messages.SystemAccountingMessage message)` Store a system accounting message

    - ### Methods inherited from class org.gcube.messaging.common.consumer.db.DBManager

      `backup, close, connectToEmbeddedDB, createDB, query, queryAndConsume, queryJSON, quote, reconnectToDB, toJSon, update, zipFolder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DATE_FORMAT

          protected static final String DATE_FORMAT

      See Also:
        Constant Field Values

    - #### format

          protected static SimpleDateFormat format

  - ### Constructor Detail

    - #### AccountingSystemDBManager

          public AccountingSystemDBManager()

      Default constructor

  - ### Method Detail

    - #### connectToMySql

          protected void connectToMySql()
                                 throws Exception

      Specified by:
        `connectToMySql` in class `DBManager`
      Throws:
        `Exception`

    - #### open

          public void open()
                    throws ClassNotFoundException,
                           SQLException,
                           Exception

      Description copied from class: `DBManager`
      Load the HSQL Database Engine JDBC driver and open the connection to the db.
      Specified by:
        `open` in class `DBManager`
      Throws:
        `ClassNotFoundException` - if the HSQL Database Engine JDBC driver is not loaded
        `SQLException` - if the connection to the db fails
        `Exception` - if the tables creation fails

    - #### run

          public void run()

      (non-Javadoc)
      Specified by:
        `run` in interface `Runnable`
      See Also:
        `Runnable.run()`

    - #### storeSystemAccoutingInfo

          public void storeSystemAccoutingInfo(org.gcube.messaging.common.messages.SystemAccountingMessage message)

      Store a system accounting message
      Parameters:
        `message` -

Copyright © 2014. All Rights Reserved.